summaryrefslogtreecommitdiff
path: root/resources/scripts/update/seabios/configs
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/update/seabios/configs')
-rwxr-xr-xresources/scripts/update/seabios/configs64
1 files changed, 64 insertions, 0 deletions
diff --git a/resources/scripts/update/seabios/configs b/resources/scripts/update/seabios/configs
new file mode 100755
index 00000000..312e6f68
--- /dev/null
+++ b/resources/scripts/update/seabios/configs
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+#
+# helper script: update coreboot configs (run make oldconfig)
+#
+# Copyright (C) 2021 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# This script assumes that the working directory is the root
+# of git or release archive
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+printf "Updating seabios configs\n"
+
+if [ ! -d "seabios" ]; then
+ ./download seabios
+fi
+
+if [ ! -d "seabios" ]; then
+ printf "error: Failed to download SeaBIOS. check internet connection?\n"
+ exit 1
+fi
+
+for config in resources/seabios/config/*; do
+
+ if [ ! -f "${config}" ]; then continue; fi
+
+ (
+ cd seabios
+ make distclean
+ )
+
+ mv "${config}" seabios/.config
+ (
+ cd seabios
+ make oldconfig
+ )
+
+ cp seabios/.config "${config}"
+
+ (
+ cd seabios
+ make distclean
+ )
+
+done
+
+printf "\n\n"
+